class_name Avalanche
extends Area2D

const base_speed = 3.5
var speed : float = base_speed * Global.TILE_SCALE
var kmh_speed = speed*1000 / 3600
const avalanche_width = 50
const avalanche_height = 2

func _ready():
	position.x = Global.player.position.x- (int(Global.player.position.x)%Global.TILE_SCALE)
	position.y = Global.player.position.y - 10*Global.TILE_SCALE
	
	for i in range(-avalanche_height/2,avalanche_height/2):
		for j in range(-avalanche_width/2,avalanche_width/2):
			$TileMap.set_cell(0,Vector2(j,i), 0,Vector2i(9,5),0)
	$CollisionShape.scale = Vector2i(avalanche_width,avalanche_height)

func reset():
	speed = base_speed * Global.TILE_SCALE
	kmh_speed = speed * 1000 / 3600
	_ready()

func _process(delta):	
	position.x = Global.player.position.x- (int(Global.player.position.x)%Global.TILE_SCALE)
	position.y += speed*delta
	kmh_speed = speed*1000 / 3600
	pass


func _on_body_entered(body):
	if(body.is_in_group("Enemy")):
		body.queue_free()
		speed+=0.1 * Global.TILE_SCALE
		kmh_speed = speed*1000 / 3600
		pass
	if(body.is_in_group("Player")):
		print("Avalanche Hit Player")
		pass
	pass
